Changed default compiler for 2.6 kernels to 4.1.2
[openwrt/svn-archive/archive.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_VERSION_3_4_6 if LINUX_2_4
6 default GCC_VERSION_4_1_2
7 help
8 Select the version of gcc you wish to use.
9
10
11 config GCC_VERSION_3_4_4
12 bool "gcc 3.4.4"
13
14 config GCC_VERSION_3_4_5
15 bool "gcc 3.4.5"
16
17 config GCC_VERSION_3_4_6
18 bool "gcc 3.4.6"
19
20 config GCC_VERSION_3_4_6_nonmips
21 bool "gcc 3.4.6-nonmips"
22
23 config GCC_VERSION_4_0_2
24 bool "gcc 4.0.2"
25
26 config GCC_VERSION_4_0_3
27 bool "gcc 4.0.3"
28
29 config GCC_VERSION_4_1_0
30 bool "gcc 4.1.0"
31
32 config GCC_VERSION_4_1_1
33 bool "gcc 4.1.1"
34
35 config GCC_VERSION_4_1_2
36 bool "gcc 4.1.2"
37
38 config GCC_VERSION_4_2
39 bool "gcc 4.2 (20060709)"
40
41 endchoice
42
43 config EXTRA_GCC_CONFIG_OPTIONS
44 string
45 prompt "Additional gcc options" if TOOLCHAINOPTS
46 default ""
47 help
48 Any additional gcc options you may want to include....
49
50 config INSTALL_LIBSTDCPP
51 bool
52 prompt "Build/install c++ compiler and libstdc++?" if TOOLCHAINOPTS
53 default y
54 help
55 Build/install c++ compiler and libstdc++?
56
57